function Get-ClientIPAddress {
    [CmdletBinding()]
    [OutputType('string')]
    param ()

    [PSCustomObject]$response = Invoke-RestMethod -Uri "http://ipinfo.io/json"
    [string]$clientIP = $response.ip
    Write-Verbose "Client IP-address: '$($clientIP)'"

    return $clientIP
}